#!/bin/sh
# This script prepares Czech and Slovak TeX font using a2ac and afm2tfm.
# For xl2.enc or xt2.enc, the font encoding is ISO 8859-2 (CS-encoding).

if test $# -lt 3 ; then
cat <<END > /dev/stderr
Usage:    mkfnt Full-PostScript-Name stdname suffix [afm2tfm options]
              where [afm2tfm options] have to end by -v or -V

Examples: mkfnt Times-Roman ptmr 8z
              makes ptmr8z.vf
          mkfnt Times-Roman ptmr c8z -V
              makes the ptmrc8z.vf (Caps & Small Caps variant of Times-Roman)
END
exit
fi

# You can edit the following paths in order to match with your system strategy.

TEXFONTDIR=@TEXFONTDIR@
CORRTABFILE=${CORRTABFILE-@LIBDIR@/cscorr.tab}
ENCFILEPATH=${ENCFILEPATH-@LIBDIR@}

# AFMINPUT=${AFMINPUT-$TEXFONTDIR/afm}
# VFOUTPUT=${VFOUTPUT-$TEXFONTDIR/vf/dvips}
# TFMOUTPUT=${TFMOUTPUT-$TEXFONTDIR/tfm}
# RTFMOUTPUT=${RTFMOUTPUT-$TEXFONTDIR/tfm/dvips}

AFMINPUT=${AFMINPUT-.}
VFOUTPUT=${VFOUTPUT-.}
TFMOUTPUT=${TFMOUTPUT-.}
RTFMOUTPUT=${RTFMOUTPUT-.}

INP="$1"
OUT="$2"
SUF="$3"
shift; shift; shift
AFMPAR=${*--v}

a2ac $AFMINPUT/$INP.afm $CORRTABFILE $OUT$SUF.afm
if grep 'IsFixedPitch.*true' $OUT$SUF.afm ; then
   ENCFILE=$ENCFILEPATH/xt2.enc
else
   ENCFILE=$ENCFILEPATH/xl2.enc
fi
(
  set -x
  afm2tfm $OUT$SUF.afm -t $ENCFILE $AFMPAR $OUT$SUF.vpl $RTFMOUTPUT/r$OUT.tfm
)
vptovf $OUT$SUF.vpl $VFOUTPUT/$OUT$SUF.vf $TFMOUTPUT/$OUT$SUF.tfm
rm -f $OUT$SUF.vpl $OUT$SUF.afm
